Package com.ngrok.definitions

# Class TunnelGroupBackend

java.lang.Object
com.ngrok.definitions.TunnelGroupBackend

public class TunnelGroupBackend extends Object
A class encapsulating the `TunnelGroupBackend` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TunnelGroupBackend(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, Map<String,String> labels, List<Ref> tunnels)`
  Creates a new instance of `TunnelGroupBackend`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp when the backend was created, RFC 3339 format
  `String`
  `getDescription()`
  human-readable description of this backend.
  `String`
  `getId()`
  unique identifier for this TunnelGroup backend
  `Map<String,String>`
  `getLabels()`
  labels to watch for tunnels on, e.g.
  `String`
  `getMetadata()`
  arbitrary user-defined machine-readable data of this backend.
  `List<Ref>`
  `getTunnels()`
  tunnels matching this backend
  `URI`
  `getUri()`
  URI of the TunnelGroupBackend API resource
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TunnelGroupBackend

    public TunnelGroupBackend(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, Map<String,String> labels, List<Ref> tunnels)
    Creates a new instance of `TunnelGroupBackend`.
    Parameters:
      `id` - unique identifier for this TunnelGroup backend
      `uri` - URI of the TunnelGroupBackend API resource
      `createdAt` - timestamp when the backend was created, RFC 3339 format
      `description` - human-readable description of this backend. Optional
      `metadata` - arbitrary user-defined machine-readable data of this backend. Optional
      `labels` - labels to watch for tunnels on, e.g. app->foo, dc->bar
      `tunnels` - tunnels matching this backend

- ## Method Details

  - ### getId

    public String getId()
    unique identifier for this TunnelGroup backend
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the TunnelGroupBackend API resource
    Returns:
      the value of the property as a `URI`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp when the backend was created, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getDescription

    public String getDescription()
    human-readable description of this backend. Optional
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined machine-readable data of this backend. Optional
    Returns:
      the value of the property as a `String`

  - ### getLabels

    public Map<String,String> getLabels()
    labels to watch for tunnels on, e.g. app->foo, dc->bar
    Returns:
      the value of the property as a `Map` of `String` to `String`

  - ### getTunnels

    public List<Ref> getTunnels()
    tunnels matching this backend
    Returns:
      the value of the property as a `List` of `Ref`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`